
.table img {
	height: 50px;
	width: auto;
}
/* for google map */
.map-canvas{
    width:100%;
    height:200px;
}

/* for image upload drag and drop */
#actions {
  margin: 2em 0;
}

/* Mimic table appearance */
div.table {
  display: table;
}
div.table .file-row {
  display: table-row;
}
div.table .file-row > div {
  display: table-cell;
  vertical-align: top;
  border-top: 1px solid #ddd;
  padding: 8px;
}
div.table .file-row:nth-child(odd) {
  background: #f9f9f9;
}

/* The total progress gets shown by event listeners */
#total-progress {
  opacity: 0;
  transition: opacity 0.3s linear;
}

/* Hide the progress bar when finished */
#previews .file-row.dz-success .progress {
  opacity: 0;
  transition: opacity 0.3s linear;
}

/* Hide the delete button initially */
#previews .file-row .delete,
#previews .file-row .image_caption,
#previews .file-row .imageType {
  display: none;
}

/* Hide the start and cancel buttons and show the delete button */

#previews .file-row.dz-success .start,
#previews .file-row.dz-success .cancel {
  display: none;
}
#previews .file-row.dz-success .delete,
#previews .file-row.dz-success .image_caption,
#previews .file-row.dz-success .imageType {
  display: block;
}

.image_caption {
  width: 100%;
  margin: 10px 0;
}

/* for auto complete */
 /*#inputSearch
{
  width:350px;
  border:solid 1px #000;
  padding:3px;
}*/
#divResult
{
  position:absolute;
  width:300px;
  display:none;
  margin-top:-1px;
  border:solid 1px #dedede;
  border-top:0px;
  overflow:hidden;
  /*border-bottom-right-radius: 6px;*/
  /*border-bottom-left-radius: 6px;*/
  /*-moz-border-bottom-right-radius: 6px;*/
  /*-moz-border-bottom-left-radius: 6px;*/
  box-shadow: 0px 0px 5px #999;
  border-width: 3px 1px 1px;
  /*border-style: solid;*/
  /*border-color: #333 #DEDEDE #DEDEDE;*/
  background-color: white;
  z-index: 1;
}
.display_box
{
  /*padding:4px; border-top:solid 1px #dedede;*/
  font-size:12px; height:50px;
}
.display_box img {
  width:50px; height:50px; margin-right:6px;
}
.display_box:hover
{
  background:#3bb998;
  color:#FFFFFF;
  cursor:pointer;
}

table.dataTable tbody tr {
  cursor: pointer;
}

/* loading layer css */
.sk-folding-cube {
  margin: 20px auto;
  width: 40px;
  height: 40px;
  position: relative;
  -webkit-transform: rotateZ(45deg);
          transform: rotateZ(45deg);
}

.sk-folding-cube .sk-cube {
  float: left;
  width: 50%;
  height: 50%;
  position: relative;
  -webkit-transform: scale(1.1);
      -ms-transform: scale(1.1);
          transform: scale(1.1);
}
.sk-folding-cube .sk-cube:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: orange;
  -webkit-animation: sk-foldCubeAngle 2.4s infinite linear both;
          animation: sk-foldCubeAngle 2.4s infinite linear both;
  -webkit-transform-origin: 100% 100%;
      -ms-transform-origin: 100% 100%;
          transform-origin: 100% 100%;
}
.sk-folding-cube .sk-cube2 {
  -webkit-transform: scale(1.1) rotateZ(90deg);
          transform: scale(1.1) rotateZ(90deg);
}
.sk-folding-cube .sk-cube3 {
  -webkit-transform: scale(1.1) rotateZ(180deg);
          transform: scale(1.1) rotateZ(180deg);
}
.sk-folding-cube .sk-cube4 {
  -webkit-transform: scale(1.1) rotateZ(270deg);
          transform: scale(1.1) rotateZ(270deg);
}
.sk-folding-cube .sk-cube2:before {
  -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
}
.sk-folding-cube .sk-cube3:before {
  -webkit-animation-delay: 0.6s;
          animation-delay: 0.6s;
}
.sk-folding-cube .sk-cube4:before {
  -webkit-animation-delay: 0.9s;
          animation-delay: 0.9s;
}
@-webkit-keyframes sk-foldCubeAngle {
  0%, 10% {
    -webkit-transform: perspective(140px) rotateX(-180deg);
            transform: perspective(140px) rotateX(-180deg);
    opacity: 0;
  } 25%, 75% {
    -webkit-transform: perspective(140px) rotateX(0deg);
            transform: perspective(140px) rotateX(0deg);
    opacity: 1;
  } 90%, 100% {
    -webkit-transform: perspective(140px) rotateY(180deg);
            transform: perspective(140px) rotateY(180deg);
    opacity: 0;
  }
}

@keyframes sk-foldCubeAngle {
  0%, 10% {
    -webkit-transform: perspective(140px) rotateX(-180deg);
            transform: perspective(140px) rotateX(-180deg);
    opacity: 0;
  } 25%, 75% {
    -webkit-transform: perspective(140px) rotateX(0deg);
            transform: perspective(140px) rotateX(0deg);
    opacity: 1;
  } 90%, 100% {
    -webkit-transform: perspective(140px) rotateY(180deg);
            transform: perspective(140px) rotateY(180deg);
    opacity: 0;
  }
}

.previewContainer {
  height: 242px;
  overflow: auto;
  border: 1px solid #ddd;
  margin: 10px 0;
}
.previewImg {
  height: 100px;
  margin: 10px;
  display: inline-block;
  position: relative;
}
.previewImg img {
  height: 100%;
}
.previewImg .layer button {
  padding: 0 5px;
}
.previewImg .layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.previewArea { list-style-type: none; margin: 0; padding: 0; }
.previewArea li { float: left; }
/*.ui-state-highlight { height: 100px; }*/

.select2 { width: 100%;}

.loading_layer {
  position: absolute;
  background-color: rgba(255, 255, 255, 0.8);
  width: 100%;
  height: 100%;
  z-index: 9999;
  display: table;
  position: fixed;
}

.loading_layer .sk-container {
  display: table-cell;
  vertical-align: middle;
}

#example2_wrapper .row:nth-child(2) {
  overflow-x: auto;
}

.thumbnail {
    max-width: 100%;
}